Botan 1.10.17

Namespaces | Macros
mmap_mem.cpp File Reference
`#include <botan/internal/mmap_mem.h>`
`#include <vector>`
`#include <cstring>`
`#include <sys/types.h>`
`#include <sys/mman.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <stdlib.h>`
`#include <fcntl.h>`
`#include <errno.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | MAP_FAILED -1
#define | MAP_NOSYNC 0

## Macro Definition Documentation

## ◆ MAP_FAILED

#define MAP_FAILED -1

Definition at line 21 of file mmap_mem.cpp.

## ◆ MAP_NOSYNC

#define MAP_NOSYNC 0